summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-07-07 22:33:06 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-07-07 22:33:06 +0200
commit3ea9779c9de7c7cea77aaff49dfd76957d2b1958 (patch)
treefad252be2137610118ce5f353ccea7b921be3f3e /dev-ada
parentdev-ruby/ruby-gobject-introspection: add 3.2.7 (diff)
downloadgentoo-3ea9779c9de7c7cea77aaff49dfd76957d2b1958.tar.gz
gentoo-3ea9779c9de7c7cea77aaff49dfd76957d2b1958.tar.bz2
gentoo-3ea9779c9de7c7cea77aaff49dfd76957d2b1958.zip
dev-ada/gprbuild: Fix "-r and -pie may not be used together" error
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-ada')
-rw-r--r--dev-ada/gprbuild/gprbuild-2018.ebuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/dev-ada/gprbuild/gprbuild-2018.ebuild b/dev-ada/gprbuild/gprbuild-2018.ebuild
index f071a9a8850..95d0bdafd85 100644
--- a/dev-ada/gprbuild/gprbuild-2018.ebuild
+++ b/dev-ada/gprbuild/gprbuild-2018.ebuild
@@ -43,6 +43,10 @@ src_prepare() {
-e "s:@GNATBIND@:gnatbind-${GCC_PV}:g" \
src/gprlib.adb \
|| die
+ sed -i \
+ -e "s:\"-Wl,-r\":\"-r\":g" \
+ share/gprconfig/linker.xml \
+ || die
}
src_configure() {